/*
 *  Copyright (C) 2000, 2001, 2002 Marco Pesenti Gritti
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GALEON_EMBED_POPUP_BW_H
#define GALEON_EMBED_POPUP_BW_H

#include "galeon-embed-popup.h"
#include <bonobo/bonobo-window.h>

G_BEGIN_DECLS

typedef struct GaleonEmbedPopupBWClass GaleonEmbedPopupBWClass;

#define GALEON_EMBED_POPUP_BW_TYPE		(galeon_embed_popup_bw_get_type ())
#define GALEON_EMBED_POPUP_BW(obj)		(GTK_CHECK_CAST ((obj), GALEON_EMBED_POPUP_BW_TYPE, \
						 GaleonEmbedPopupBW))
#define GALEON_EMBED_POPUP_BW_CLASS(klass)	(GTK_CHECK_CLASS_CAST ((klass), GALEON_EMBED_POPUP_BW_TYPE,\
						 GaleonEmbedPopupBWClass))
#define IS_GALEON_EMBED_POPUP_BW(obj)		(GTK_CHECK_TYPE ((obj), GALEON_EMBED_POPUP_BW_TYPE))
#define IS_GALEON_EMBED_POPUP_BW_CLASS(klass)	(GTK_CHECK_CLASS_TYPE ((klass), GALEON_EMBED_POPUP_BW))
#define GALEON_EMBED_POPUP_BW_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), \
						 GALEON_EMBED_POPUP_BW_TYPE, GaleonEmbedPopupBWClass))

typedef struct GaleonEmbedPopupBW GaleonEmbedPopupBW;
typedef struct GaleonEmbedPopupBWPrivate GaleonEmbedPopupBWPrivate;

struct GaleonEmbedPopupBW 
{
	GaleonEmbedPopup parent;
        GaleonEmbedPopupBWPrivate *priv;
};

struct GaleonEmbedPopupBWClass
{
        GaleonEmbedPopupClass parent_class;
};

GType			galeon_embed_popup_bw_get_type		(void);
GaleonEmbedPopupBW *	galeon_embed_popup_bw_new		(BonoboWindow *window);

G_END_DECLS

#endif
